import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { R as ReportEventOptions, a as ReportEventResponse, E as EventInfo, B as BulkReportEventResponse, b as BulkCancelEventResponse } from './automations-v2-activation-activations.universal-BCxUR-p1.mjs';
export { aK as Action, aL as ActionActionOneOf, bQ as ActionAttributes, z as ActionCodeSnippet, b_ as ActionCompletedRequest, aJ as ActionData, ay as ActionEvent, bt as ActionRetryRequest, q as ActionSettings, V as ActionSplitAction, b4 as ActionsData, n as Activation, bz as ActivationActionStatusChanged, bA as ActivationActionStatusChangedInfoOneOf, m as ActivationActionStatusChangedStatus, bB as ActivationActionStatusChangedStatusInfoOneOf, bu as ActivationContext, b7 as ActivationContinuedAfterSchedule, aF as ActivationRequest, bZ as ActivationResumeAfterDelay, bs as ActivationScheduleCompleted, b5 as ActivationScheduleRequested, b2 as ActivationSource, b3 as ActivationSourceOfOneOf, a5 as ActivationStatusChanged, ad as ActivationStatusChangedFailedStatusInfo, aa as ActivationStatusChangedStartedStatusInfo, h as ActivationStatusChangedStatus, a6 as ActivationStatusChangedStatusInfoOneOf, H as AppDefinedAction, bR as AppDefinedActionInfo, bc as ApplicationError, $ as ApplicationOrigin, aI as AsyncAction, s as AuditInfo, t as AuditInfoIdOneOf, o as Automation, u as AutomationConfiguration, Y as AutomationConfigurationAction, Z as AutomationConfigurationActionInfoOneOf, A as AutomationConfigurationStatus, bl as AutomationIdentifier, bN as AutomationInfo, bO as AutomationInfoOriginInfoOneOf, bP as AutomationInfoTriggerInfo, p as AutomationOriginInfoOneOf, a1 as AutomationSettings, aE as BatchActivationRequest, j as BlockType, bd as BulkActionMetadata, be as BulkCancelEventRequest, bf as BulkCancelEventResult, b9 as BulkReportEventRequest, ba as BulkReportEventResult, bg as CancelEventRequest, bh as CancelEventResponse, an as CancelPendingScheduleRequest, ao as CancelPendingScheduleRequestByOneOf, ap as CancelPendingScheduleResponse, f as CancellationReason, ac as CancelledStatusInfo, aP as Case, K as CodeConditionAction, bJ as CodeConditionActionInfo, aU as CodeConditionFilter, aV as CodeSnippet, C as CodeSnippetLanguage, J as ConditionAction, bI as ConditionActionInfo, aT as ConditionBlock, y as ConditionExpressionGroup, aS as ConditionFilter, aC as ConsumeReportEventRequest, ai as Delay, M as DelayAction, bL as DelayActionInfo, aQ as DelayHelper, aj as DelayOfOneOf, D as Domain, as as DomainEvent, at as DomainEventBodyOneOf, a2 as DraftInfo, br as Empty, bW as EndedStatusInfo, bH as EndedStatusInfoAppDefinedActionInfo, bX as EndedStatusInfoTypeInfoOneOf, r as Enrichment, a3 as Enrichments, au as EntityCreatedEvent, ax as EntityDeletedEvent, aw as EntityUpdatedEvent, g as ErrorReason, bp as ExecuteFromActionRequest, bq as ExecuteFromActionResponse, bG as ExpressionEvaluationResult, a4 as ExtendedFields, bY as FailedStatusInfo, by as FailureInfo, F as Filter, x as FilterValueSelection, _ as FilterableAppDefinedActions, v as FutureDateActivationOffset, aD as Idempotency, aA as IdentificationData, aB as IdentificationDataIdOneOf, I as IdentifierType, a7 as Identity, aN as IfFilter, a9 as InitiatedStatusInfo, bU as InvokedAsyncStatusInfo, bF as InvokedAsyncStatusInfoAppDefinedActionInfo, bV as InvokedAsyncStatusInfoTypeInfoOneOf, bb as ItemMetadata, L as Language, az as MessageEnvelope, a8 as Metadata, O as Operator, d as Origin, aW as Output, Q as OutputAction, aZ as Path, bk as PreinstalledIdentifier, a0 as PreinstalledOrigin, w as RateLimit, N as RateLimitAction, bK as RateLimitActionInfo, aR as RateLimiting, b$ as RefreshPayloadRequest, c0 as RefreshPayloadResponse, c3 as ReportActionInvocationCompletedRequest, c4 as ReportActionInvocationCompletedRequestStatusInfoOneOf, c5 as ReportActionInvocationCompletedResponse, bn as ReportDomainEventRequest, bo as ReportDomainEventResponse, b8 as ReportEventRequest, av as RestoreInfo, bv as ResumeAfterAsyncActionCompleted, bw as ResumeAfterAsyncActionCompletedStatusInfoOneOf, bC as RetryInfo, c1 as RunAutomationRequest, c2 as RunAutomationResponse, aG as Runtime, k as RuntimeStatus, ag as Schedule, b6 as ScheduleActivationRequested, af as ScheduleRequest, am as ScheduleResponse, i as ScheduleStatus, ah as ScheduledAction, ab as ScheduledStatusInfo, aH as Scheduler, a_ as Service, aM as ServiceMapping, aX as SetVariables, P as SetVariablesAction, bM as SetVariablesActionInfo, ak as SimpleDelay, S as SkipReason, ae as SkippedStatusInfo, b1 as SpiAction, aY as SplitAction, G as SplitActionPath, bS as StartedStatusInfo, bD as StartedStatusInfoAppDefinedActionInfo, bE as StartedStatusInfoDelayActionInfo, bT as StartedStatusInfoTypeInfoOneOf, l as Status, bx as SuccessInfo, aO as SwitchFilter, a$ as SystemHelper, b0 as SystemHelperHelperOneOf, e as Target, T as TimeUnit, X as Trigger, al as TriggerInfo, c as Type, U as Units, aq as UpdatePendingSchedulesPayloadRequest, ar as UpdatePendingSchedulesPayloadResponse, bi as V1RunAutomationRequest, bj as V1RunAutomationRequestIdentifierOneOf, bm as V1RunAutomationResponse, W as WebhookIdentityType } from './automations-v2-activation-activations.universal-BCxUR-p1.mjs';

declare function reportEvent$1(httpClient: HttpClient): ReportEventSignature;
interface ReportEventSignature {
    /**
     * Reports an event and activates site automations with the specified trigger key.
     *
     *
     * Only the app that created a trigger can report events for it.
     * This means other apps can't report events for your triggers,
     * and you can't report events for another app's triggers.
     *
     * If your app supports canceling events,
     * `externalEntityId` must be provided.
     * `externalEntityId` is required when calling [cancelEvent()](#cancel-event).
     * @param - Trigger key as defined in your app's trigger configuration
     * in the app dashboard.
     * For example, `form_submitted` or `invoice_due`.
     */
    (triggerKey: string, options?: ReportEventOptions | undefined): Promise<ReportEventResponse>;
}
declare function bulkReportEvent$1(httpClient: HttpClient): BulkReportEventSignature;
interface BulkReportEventSignature {
    /**
     * Bulk reports events and activates site automations with the specified trigger key.
     * @param - Trigger key as defined in your app's trigger configuration
     * in the app dashboard.
     * For example, `form_submitted` or `invoice_due`.
     * @param - Repeated list of event details for bulk reporting.
     */
    (triggerKey: string, eventsInfo: EventInfo[]): Promise<BulkReportEventResponse>;
}
declare function bulkCancelEvent$1(httpClient: HttpClient): BulkCancelEventSignature;
interface BulkCancelEventSignature {
    /**
     * Bulk cancels any remaining actions for a trigger and external entities.
     * @param - Trigger key whose events you want to cancel.
     * For example, `form_submitted` or `invoice_due`.
     * @param - Repeated list of external_entity_id, representing the related resources' IDs.
     */
    (triggerKey: string, externalEntityIds: string[]): Promise<BulkCancelEventResponse>;
}
declare function cancelEvent$1(httpClient: HttpClient): CancelEventSignature;
interface CancelEventSignature {
    /**
     * Cancels any remaining actions for a trigger and external entity.
     *
     *
     * Events are not cancelable by default.
     * To make an event cancelable,
     * you must first pass an `externalEntityId`
     * and the applicable `triggerKey` to [reportEvent()](#report-event).
     * When you call cancelEvent() with the same `externalEntityId` and `triggerKey`,
     * the event is canceled,
     * as are all other events that share the `externalEntityId` and `triggerKey`.
     * @param - Trigger key whose event you want to cancel.
     * For example, `form_submitted` or `invoice_due`.
     * @param - ID of the related resource in GUID format.
     * For example, `fc81a355-3429-50fc-a4c7-def486e828f3`.
     *
     * Typically, this ID is defined in your system,
     * but you can also use any Wix resource GUID,
     * such as contact ID, member ID, or invoice ID.
     * See
     * [Choose the right `externalEntityId`](https://dev.wix.com/docs/rest/business-management/automations/triggered-events/reporting-and-canceling-events#choose-the-right-externalentityid)
     * for more information.
     */
    (triggerKey: string, externalEntityId: string): Promise<void>;
}

declare const reportEvent: MaybeContext<BuildRESTFunction<typeof reportEvent$1> & typeof reportEvent$1>;
declare const bulkReportEvent: MaybeContext<BuildRESTFunction<typeof bulkReportEvent$1> & typeof bulkReportEvent$1>;
declare const bulkCancelEvent: MaybeContext<BuildRESTFunction<typeof bulkCancelEvent$1> & typeof bulkCancelEvent$1>;
declare const cancelEvent: MaybeContext<BuildRESTFunction<typeof cancelEvent$1> & typeof cancelEvent$1>;

export { BulkCancelEventResponse, BulkReportEventResponse, EventInfo, ReportEventOptions, ReportEventResponse, bulkCancelEvent, bulkReportEvent, cancelEvent, reportEvent };
