"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  ActivationActionStatusChangedStatus: () => ActivationActionStatusChangedStatus,
  ActivationStatusChangedStatus: () => ActivationStatusChangedStatus,
  AutomationConfigurationStatus: () => AutomationConfigurationStatus,
  BlockType: () => BlockType,
  CancellationReason: () => CancellationReason,
  CodeSnippetLanguage: () => CodeSnippetLanguage,
  Domain: () => Domain,
  ErrorReason: () => ErrorReason,
  IdentifierType: () => IdentifierType,
  Language: () => Language,
  Operator: () => Operator,
  Origin: () => Origin,
  RuntimeStatus: () => RuntimeStatus,
  ScheduleStatus: () => ScheduleStatus,
  SkipReason: () => SkipReason,
  Status: () => Status,
  Target: () => Target,
  TimeUnit: () => TimeUnit,
  Type: () => Type,
  Units: () => Units,
  WebhookIdentityType: () => WebhookIdentityType,
  bulkCancelEvent: () => bulkCancelEvent4,
  bulkReportEvent: () => bulkReportEvent4,
  cancelEvent: () => cancelEvent4,
  reportEvent: () => reportEvent4
});
module.exports = __toCommonJS(index_exports);

// src/automations-v2-activation-activations.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/automations-v2-activation-activations.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/esb-config-resolver",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/automations/v1/events/report",
        destPath: "/v1/events/report"
      },
      {
        srcPath: "/automations/v1/events/bulk-report",
        destPath: "/v1/events/bulk-report"
      },
      {
        srcPath: "/automations/v1/events/cancel",
        destPath: "/v1/events/cancel"
      },
      {
        srcPath: "/automations/v1/events/bulk-cancel",
        destPath: "/v1/events/bulk-cancel"
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/workflows/v1/events/report",
        destPath: "/v1/events/report"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/automations/v1/events/bulk-cancel",
        destPath: "/v1/events/bulk-cancel"
      },
      {
        srcPath: "/automations/v1/events/bulk-report",
        destPath: "/v1/events/bulk-report"
      },
      {
        srcPath: "/automations/v1/events/report",
        destPath: "/v1/events/report"
      },
      {
        srcPath: "/automations/v1/events/cancel",
        destPath: "/v1/events/cancel"
      }
    ],
    _: [
      {
        srcPath: "/automations/v1/events/bulk-cancel",
        destPath: "/v1/events/bulk-cancel"
      },
      {
        srcPath: "/automations/v1/events/cancel",
        destPath: "/v1/events/cancel"
      },
      {
        srcPath: "/automations/v1/events/report",
        destPath: "/v1/events/report"
      },
      {
        srcPath: "/automations/v1/events/bulk-report",
        destPath: "/v1/events/bulk-report"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_automations_activations";
function reportEvent(payload) {
  function __reportEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.ReportEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/report",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __reportEvent;
}
function bulkReportEvent(payload) {
  function __bulkReportEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.BulkReportEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/bulk-report",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkReportEvent;
}
function bulkCancelEvent(payload) {
  function __bulkCancelEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.BulkCancelEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/bulk-cancel",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkCancelEvent;
}
function cancelEvent(payload) {
  function __cancelEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.CancelEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/cancel",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __cancelEvent;
}

// src/automations-v2-activation-activations.universal.ts
var Domain = /* @__PURE__ */ ((Domain2) => {
  Domain2["USER"] = "USER";
  Domain2["WIX"] = "WIX";
  Domain2["WIX_ACCOUNT"] = "WIX_ACCOUNT";
  return Domain2;
})(Domain || {});
var TimeUnit = /* @__PURE__ */ ((TimeUnit2) => {
  TimeUnit2["UNKNOWN_TIME_UNIT"] = "UNKNOWN_TIME_UNIT";
  TimeUnit2["MINUTES"] = "MINUTES";
  TimeUnit2["HOURS"] = "HOURS";
  TimeUnit2["DAYS"] = "DAYS";
  TimeUnit2["WEEKS"] = "WEEKS";
  TimeUnit2["MONTHS"] = "MONTHS";
  return TimeUnit2;
})(TimeUnit || {});
var Operator = /* @__PURE__ */ ((Operator2) => {
  Operator2["UNKNOWN_OPERATOR"] = "UNKNOWN_OPERATOR";
  Operator2["OR"] = "OR";
  Operator2["AND"] = "AND";
  return Operator2;
})(Operator || {});
var CodeSnippetLanguage = /* @__PURE__ */ ((CodeSnippetLanguage2) => {
  CodeSnippetLanguage2["UNKNOWN_LANGUAGE"] = "UNKNOWN_LANGUAGE";
  CodeSnippetLanguage2["JAVASCRIPT"] = "JAVASCRIPT";
  return CodeSnippetLanguage2;
})(CodeSnippetLanguage || {});
var Type = /* @__PURE__ */ ((Type2) => {
  Type2["UNKNOWN_ACTION_TYPE"] = "UNKNOWN_ACTION_TYPE";
  Type2["APP_DEFINED"] = "APP_DEFINED";
  Type2["CONDITION"] = "CONDITION";
  Type2["DELAY"] = "DELAY";
  Type2["RATE_LIMIT"] = "RATE_LIMIT";
  return Type2;
})(Type || {});
var AutomationConfigurationStatus = /* @__PURE__ */ ((AutomationConfigurationStatus2) => {
  AutomationConfigurationStatus2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  AutomationConfigurationStatus2["ACTIVE"] = "ACTIVE";
  AutomationConfigurationStatus2["INACTIVE"] = "INACTIVE";
  return AutomationConfigurationStatus2;
})(AutomationConfigurationStatus || {});
var Origin = /* @__PURE__ */ ((Origin2) => {
  Origin2["UNKNOWN_ORIGIN"] = "UNKNOWN_ORIGIN";
  Origin2["USER"] = "USER";
  Origin2["APPLICATION"] = "APPLICATION";
  Origin2["PREINSTALLED"] = "PREINSTALLED";
  return Origin2;
})(Origin || {});
var Target = /* @__PURE__ */ ((Target2) => {
  Target2["UNKNOWN_TARGET"] = "UNKNOWN_TARGET";
  Target2["SCHEDULE"] = "SCHEDULE";
  Target2["IMMEDIATE"] = "IMMEDIATE";
  return Target2;
})(Target || {});
var CancellationReason = /* @__PURE__ */ ((CancellationReason2) => {
  CancellationReason2["UNKNOWN_CANCELLATION_REASON"] = "UNKNOWN_CANCELLATION_REASON";
  CancellationReason2["EVENT_CANCELLED"] = "EVENT_CANCELLED";
  CancellationReason2["AUTOMATION_DEACTIVATED"] = "AUTOMATION_DEACTIVATED";
  CancellationReason2["AUTOMATION_DELETED"] = "AUTOMATION_DELETED";
  CancellationReason2["CANCELLED_BY_REFRESH_PAYLOAD"] = "CANCELLED_BY_REFRESH_PAYLOAD";
  CancellationReason2["CANCELLED_BY_GDPR_REQUEST"] = "CANCELLED_BY_GDPR_REQUEST";
  return CancellationReason2;
})(CancellationReason || {});
var ErrorReason = /* @__PURE__ */ ((ErrorReason2) => {
  ErrorReason2["UNEXPECTED_ERROR_REASON"] = "UNEXPECTED_ERROR_REASON";
  ErrorReason2["SCHEDULE_DATE_EVALUATION_FAILED"] = "SCHEDULE_DATE_EVALUATION_FAILED";
  return ErrorReason2;
})(ErrorReason || {});
var SkipReason = /* @__PURE__ */ ((SkipReason2) => {
  SkipReason2["UNKNOWN_SKIP_REASON"] = "UNKNOWN_SKIP_REASON";
  SkipReason2["SCHEDULE_DATE_EXPIRED"] = "SCHEDULE_DATE_EXPIRED";
  SkipReason2["TRIGGER_FILTERS_NOT_PASSED"] = "TRIGGER_FILTERS_NOT_PASSED";
  SkipReason2["RATE_LIMIT_EXCEEDED"] = "RATE_LIMIT_EXCEEDED";
  SkipReason2["EVENT_ALREADY_PROCESSED"] = "EVENT_ALREADY_PROCESSED";
  return SkipReason2;
})(SkipReason || {});
var ActivationStatusChangedStatus = /* @__PURE__ */ ((ActivationStatusChangedStatus2) => {
  ActivationStatusChangedStatus2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  ActivationStatusChangedStatus2["INITIATED"] = "INITIATED";
  ActivationStatusChangedStatus2["SCHEDULED"] = "SCHEDULED";
  ActivationStatusChangedStatus2["STARTED"] = "STARTED";
  ActivationStatusChangedStatus2["ENDED"] = "ENDED";
  ActivationStatusChangedStatus2["CANCELLED"] = "CANCELLED";
  ActivationStatusChangedStatus2["FAILED"] = "FAILED";
  ActivationStatusChangedStatus2["SKIPPED"] = "SKIPPED";
  return ActivationStatusChangedStatus2;
})(ActivationStatusChangedStatus || {});
var Units = /* @__PURE__ */ ((Units2) => {
  Units2["UNKNOWN"] = "UNKNOWN";
  Units2["MINUTES"] = "MINUTES";
  Units2["HOURS"] = "HOURS";
  Units2["DAYS"] = "DAYS";
  return Units2;
})(Units || {});
var ScheduleStatus = /* @__PURE__ */ ((ScheduleStatus2) => {
  ScheduleStatus2["UNKNOWN_SCHEDULE_STATUS"] = "UNKNOWN_SCHEDULE_STATUS";
  ScheduleStatus2["PENDING"] = "PENDING";
  ScheduleStatus2["CANCELLED"] = "CANCELLED";
  ScheduleStatus2["DONE"] = "DONE";
  return ScheduleStatus2;
})(ScheduleStatus || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
var BlockType = /* @__PURE__ */ ((BlockType2) => {
  BlockType2["UNKNOWN"] = "UNKNOWN";
  BlockType2["OR"] = "OR";
  BlockType2["AND"] = "AND";
  return BlockType2;
})(BlockType || {});
var Language = /* @__PURE__ */ ((Language2) => {
  Language2["UNKNOWN_LANGUAGE"] = "UNKNOWN_LANGUAGE";
  Language2["JAVASCRIPT"] = "JAVASCRIPT";
  return Language2;
})(Language || {});
var IdentifierType = /* @__PURE__ */ ((IdentifierType2) => {
  IdentifierType2["UNKNOWN_IDENTIFIER"] = "UNKNOWN_IDENTIFIER";
  IdentifierType2["PREINSTALLED"] = "PREINSTALLED";
  IdentifierType2["AUTOMATION"] = "AUTOMATION";
  return IdentifierType2;
})(IdentifierType || {});
var RuntimeStatus = /* @__PURE__ */ ((RuntimeStatus2) => {
  RuntimeStatus2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  RuntimeStatus2["STARTED"] = "STARTED";
  RuntimeStatus2["ENDED"] = "ENDED";
  RuntimeStatus2["ERROR"] = "ERROR";
  RuntimeStatus2["SCHEDULED"] = "SCHEDULED";
  RuntimeStatus2["FROM_SCHEDULER"] = "FROM_SCHEDULER";
  RuntimeStatus2["RETRY"] = "RETRY";
  RuntimeStatus2["RESUMED"] = "RESUMED";
  RuntimeStatus2["PAUSED"] = "PAUSED";
  RuntimeStatus2["ACTION_SKIPPED"] = "ACTION_SKIPPED";
  return RuntimeStatus2;
})(RuntimeStatus || {});
var Status = /* @__PURE__ */ ((Status2) => {
  Status2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  Status2["SUCCESS"] = "SUCCESS";
  Status2["FAILURE"] = "FAILURE";
  return Status2;
})(Status || {});
var ActivationActionStatusChangedStatus = /* @__PURE__ */ ((ActivationActionStatusChangedStatus2) => {
  ActivationActionStatusChangedStatus2["UNKNOWN_ACTION_ACTIVATION_STATUS"] = "UNKNOWN_ACTION_ACTIVATION_STATUS";
  ActivationActionStatusChangedStatus2["STARTED"] = "STARTED";
  ActivationActionStatusChangedStatus2["INVOKED_ASYNC"] = "INVOKED_ASYNC";
  ActivationActionStatusChangedStatus2["ENDED"] = "ENDED";
  ActivationActionStatusChangedStatus2["SKIPPED"] = "SKIPPED";
  ActivationActionStatusChangedStatus2["FAILED"] = "FAILED";
  return ActivationActionStatusChangedStatus2;
})(ActivationActionStatusChangedStatus || {});
async function reportEvent2(triggerKey, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    triggerKey,
    payload: options?.payload,
    externalEntityId: options?.externalEntityId,
    idempotency: options?.idempotency
  });
  const reqOpts = reportEvent(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          triggerKey: "$[0]",
          payload: "$[1].payload",
          externalEntityId: "$[1].externalEntityId",
          idempotency: "$[1].idempotency"
        },
        singleArgumentUnchanged: false
      },
      ["triggerKey", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function bulkReportEvent2(triggerKey, eventsInfo) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    triggerKey,
    eventsInfo
  });
  const reqOpts = bulkReportEvent(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { triggerKey: "$[0]", eventsInfo: "$[1]" },
        singleArgumentUnchanged: false
      },
      ["triggerKey", "eventsInfo"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function bulkCancelEvent2(triggerKey, externalEntityIds) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    triggerKey,
    externalEntityIds
  });
  const reqOpts = bulkCancelEvent(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          triggerKey: "$[0]",
          externalEntityIds: "$[1]"
        },
        singleArgumentUnchanged: false
      },
      ["triggerKey", "externalEntityIds"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function cancelEvent2(triggerKey, externalEntityId) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    triggerKey,
    externalEntityId
  });
  const reqOpts = cancelEvent(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          triggerKey: "$[0]",
          externalEntityId: "$[1]"
        },
        singleArgumentUnchanged: false
      },
      ["triggerKey", "externalEntityId"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/automations-v2-activation-activations.public.ts
function reportEvent3(httpClient) {
  return (triggerKey, options) => reportEvent2(
    triggerKey,
    options,
    // @ts-ignore
    { httpClient }
  );
}
function bulkReportEvent3(httpClient) {
  return (triggerKey, eventsInfo) => bulkReportEvent2(
    triggerKey,
    eventsInfo,
    // @ts-ignore
    { httpClient }
  );
}
function bulkCancelEvent3(httpClient) {
  return (triggerKey, externalEntityIds) => bulkCancelEvent2(
    triggerKey,
    externalEntityIds,
    // @ts-ignore
    { httpClient }
  );
}
function cancelEvent3(httpClient) {
  return (triggerKey, externalEntityId) => cancelEvent2(
    triggerKey,
    externalEntityId,
    // @ts-ignore
    { httpClient }
  );
}

// src/automations-v2-activation-activations.context.ts
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
var reportEvent4 = /* @__PURE__ */ (0, import_rest_modules2.createRESTModule)(reportEvent3);
var bulkReportEvent4 = /* @__PURE__ */ (0, import_rest_modules2.createRESTModule)(bulkReportEvent3);
var bulkCancelEvent4 = /* @__PURE__ */ (0, import_rest_modules2.createRESTModule)(bulkCancelEvent3);
var cancelEvent4 = /* @__PURE__ */ (0, import_rest_modules2.createRESTModule)(cancelEvent3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ActivationActionStatusChangedStatus,
  ActivationStatusChangedStatus,
  AutomationConfigurationStatus,
  BlockType,
  CancellationReason,
  CodeSnippetLanguage,
  Domain,
  ErrorReason,
  IdentifierType,
  Language,
  Operator,
  Origin,
  RuntimeStatus,
  ScheduleStatus,
  SkipReason,
  Status,
  Target,
  TimeUnit,
  Type,
  Units,
  WebhookIdentityType,
  bulkCancelEvent,
  bulkReportEvent,
  cancelEvent,
  reportEvent
});
//# sourceMappingURL=index.js.map