"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  bulkCancelEvent: () => bulkCancelEvent2,
  bulkReportEvent: () => bulkReportEvent2,
  cancelEvent: () => cancelEvent2,
  reportEvent: () => reportEvent2
});
module.exports = __toCommonJS(meta_exports);

// src/automations-v2-activation-activations.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/esb-config-resolver",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/automations/v1/events/report",
        destPath: "/v1/events/report"
      },
      {
        srcPath: "/automations/v1/events/bulk-report",
        destPath: "/v1/events/bulk-report"
      },
      {
        srcPath: "/automations/v1/events/cancel",
        destPath: "/v1/events/cancel"
      },
      {
        srcPath: "/automations/v1/events/bulk-cancel",
        destPath: "/v1/events/bulk-cancel"
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/workflows/v1/events/report",
        destPath: "/v1/events/report"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/automations/v1/events/bulk-cancel",
        destPath: "/v1/events/bulk-cancel"
      },
      {
        srcPath: "/automations/v1/events/bulk-report",
        destPath: "/v1/events/bulk-report"
      },
      {
        srcPath: "/automations/v1/events/report",
        destPath: "/v1/events/report"
      },
      {
        srcPath: "/automations/v1/events/cancel",
        destPath: "/v1/events/cancel"
      }
    ],
    _: [
      {
        srcPath: "/automations/v1/events/bulk-cancel",
        destPath: "/v1/events/bulk-cancel"
      },
      {
        srcPath: "/automations/v1/events/cancel",
        destPath: "/v1/events/cancel"
      },
      {
        srcPath: "/automations/v1/events/report",
        destPath: "/v1/events/report"
      },
      {
        srcPath: "/automations/v1/events/bulk-report",
        destPath: "/v1/events/bulk-report"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_automations_activations";
function reportEvent(payload) {
  function __reportEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.ReportEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/report",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __reportEvent;
}
function bulkReportEvent(payload) {
  function __bulkReportEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.BulkReportEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/bulk-report",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkReportEvent;
}
function bulkCancelEvent(payload) {
  function __bulkCancelEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.BulkCancelEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/bulk-cancel",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkCancelEvent;
}
function cancelEvent(payload) {
  function __cancelEvent({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v2.activation",
      method: "POST",
      methodFqn: "wix.automations.esb.resolver.v1.EsbConfigResolver.CancelEvent",
      packageName: PACKAGE_NAME,
      url: resolveWixAutomationsEsbResolverV1EsbConfigResolverUrl({
        protoPath: "/v1/events/cancel",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __cancelEvent;
}

// src/automations-v2-activation-activations.meta.ts
function reportEvent2() {
  const payload = {};
  const getRequestOptions = reportEvent(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/events/report",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkReportEvent2() {
  const payload = {};
  const getRequestOptions = bulkReportEvent(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/events/bulk-report",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkCancelEvent2() {
  const payload = {};
  const getRequestOptions = bulkCancelEvent(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/events/bulk-cancel",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function cancelEvent2() {
  const payload = {};
  const getRequestOptions = cancelEvent(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/events/cancel",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  bulkCancelEvent,
  bulkReportEvent,
  cancelEvent,
  reportEvent
});
//# sourceMappingURL=meta.js.map